org.apache.lucene.benchmark.byTask.tasks

## Class OpenTaxonomyIndexTask

- java.lang.Object
- - org.apache.lucene.benchmark.byTask.tasks.PerfTask
  - - org.apache.lucene.benchmark.byTask.tasks.OpenTaxonomyIndexTask

All Implemented Interfaces:
  Cloneable

    public class OpenTaxonomyIndexTask
    extends PerfTask

Open a taxonomy index.
Other side effects: taxonomy writer object in perfRunData is set.

### Field Summary

### Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`logStep, NEW_LINE, params, stopNow`

### Constructor Summary

Constructors
Constructor and Description
`OpenTaxonomyIndexTask(PerfRunData runData)`

### Method Summary

Methods
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.

### Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask

`clone, close, getAlgLineNum, getBackgroundDeltaPriority, getDepth, getLogMessage, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setAlgLineNum, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, tearDown, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OpenTaxonomyIndexTask

    public OpenTaxonomyIndexTask(PerfRunData runData)

### Method Detail

#### doLogic

    public int doLogic()
                throws IOException

Description copied from class: `PerfTask`
Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

Specified by:
  `doLogic` in class `PerfTask`
Returns:
  number of work items done by this task.
Throws:
  `IOException`